Name:          parquet-format
Version:       2.1.0
Release:       1%{?dist}
Summary:       Columnar file format for Hadoop
License:       ASL 2.0
## http://parquet.incubator.apache.org/
URL:           http://parquet.io/
Source0:       https://github.com/Parquet/parquet-format/archive/%{name}-%{version}.tar.gz
# Disable thrift-maven-plugin poblems with guava/java8
Patch0:        %{name}-2.0.0-use-antrun-plugin.patch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.thrift:libthrift)
# Thrift 0.9.2 introduce a new component contrib/thrift-maven-plugin
# Originally this plugin was released @ https://github.com/dtrott/maven-thrift-plugin.
# see https://issues.apache.org/jira/browse/THRIFT-1536
# https://bugzilla.redhat.com/show_bug.cgi?id=1183877
#BuildRequires: mvn(org.apache.thrift.tools:thrift-maven-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: thrift
BuildArch:     noarch

%description
Parquet is a columnar storage format that supports nested data.
This provides all generated meta-data code.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p0

# Disable copy of: libthrift slf4j-api
%pom_remove_plugin :maven-shade-plugin

#sed -i 's|maven-thrift-plugin|thrift-maven-plugin|' pom.xml

# Fix spurious-executable-perm
chmod 644 LICENSE

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTING.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed May 14 2014 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0

* Wed Mar 05 2014 gil cattaneo <puntogil@libero.it> 2.0.0-1
- initial rpm
